cmake_minimum_required(VERSION 3.15)

include(FetchContent)

FetchContent_Declare(
  Eigen
  URL https://gitlab.com/libeigen/eigen/-/archive/3.4.0/eigen-3.4.0.tar.gz
  URL_HASH MD5=4c527a9171d71a72a9d4186e65bea559)

FetchContent_MakeAvailable(Eigen)
